View Issue Details

IDProjectCategoryView StatusLast Update
0000443WackoWikiadministrationpublic2016-09-21 09:18
ReporterbirnbacsAssigned Tobirnbacs 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSOpenBSDOS Version9.2-RELEASE-p4
Product Version5.4.0 
Target Version5.5.xFixed in Version5.5.rc2 
Summary0000443: Rewriting causes Admin Panel to be non accessible
DescriptionSeveral issues kept me from using AdminPanel in a fresh installation:

1.) When rewriting is on, the admin page wacko/admin.php is internally rewritten to wacko/index.php?page=admin.php, which does not compute. To overcome this problem I edited the .htaccess file:


<IfModule mod_rewrite.c>
 RewriteEngine on
 RewriteBase /wacko/
 RewriteCond %{REQUEST_FILENAME} -d
 RewriteRule ^(.*/[^\./]*[^/])$ $1/
 RewriteRule ^(robots\.txt)$ robots.txt [L]
 RewriteRule ^(sitemap\.xml)$ sitemap.xml [L]
 RewriteRule ^(favicon\.ico)$ favicon.ico [L]
 RewriteRule ^(admin\.php)$ admin.php [L]
 RewriteRule ^(.*)$ index.php?page=$1 [QSA,L]
</IfModule>

Please note that the RewriteBase statement that is not present in the original file appears to be required for rewriting to work at all.


2.) Documentation on how to hash the recovery password is very bad. In fact, the whole actions business is hardly documented at all. I wrote an article on the German documentation wiki that covers password hashing.


3.) For reasons I don't understand, a test statement in wacko/admin.php prevents usage of the AdminPanel. Without quite knowing what I did I changed line 41 from

if ($init->is_locked('lock_ap') === true)

  into

if ($init->is_locked('') === true)

This finally got me the AdminPanel working.
Steps To Reproducesee above
Additional InformationDifferent issues quite effectively prevent users from administering a fresh installation of Wacko. A likely show stopper for test drivers.
TagsNo tags attached.

Relationships

related to 0000180 resolvedadministrator URL rewrite did not work on subdomain with current .htaccess 
related to 0000397 resolvedadministrator Problem with .htaccess on Rackspace Cloud Server 
related to 0000447 resolvedadministrator Admin Panel sets mode_rewrite allways on 

Activities

birnbacs

2014-06-24 07:06

developer   ~0000927

Update to item 2.): actions are documented in http://wackowiki.sourceforge.net/doc/Doc/English/Actions. Could not find it before.

administrator

2014-07-03 21:26

administrator   ~0000930

Last edited: 2014-07-05 08:10

View 3 revisions

Point 2 and 3 is documented in the release notes for R5.0. Please note that the Admin panel is marked as beta.

http://wackowiki.sourceforge.net/doc/Dev/Release/R50/ReleaseNotes

The

if ($init->is_locked('lock_ap') === true)

statement checks if the AP is locked, this happens if someone fails to provide the correct login after x times to prevent unauthorized access.

Reset the value in the lock_ap file in the config folder from 1 to 0 to unlock the panel again.

administrator

2015-02-03 08:57

administrator   ~0000936

Last edited: 2015-02-03 08:59

View 2 revisions

I added some additional info regarding RewriteBase in the release notes:
http://wackowiki.sourceforge.net/doc/Dev/Release/R54/ReleaseNotes

Issue History

Date Modified Username Field Change
2014-06-24 06:56 birnbacs New Issue
2014-06-24 07:06 birnbacs Note Added: 0000927
2014-07-03 21:26 administrator Note Added: 0000930
2014-07-04 18:23 administrator Note Edited: 0000930 View Revisions
2014-07-05 08:10 administrator Note Edited: 0000930 View Revisions
2014-07-05 15:02 administrator Status new => acknowledged
2014-07-13 06:43 administrator Relationship added related to 0000180
2014-07-13 06:48 administrator Relationship added related to 0000397
2015-02-03 08:43 administrator Issue cloned: 0000447
2015-02-03 08:43 administrator Relationship added related to 0000447
2015-02-03 08:57 administrator Note Added: 0000936
2015-02-03 08:58 administrator Assigned To => birnbacs
2015-02-03 08:58 administrator Status acknowledged => resolved
2015-02-03 08:58 administrator Resolution open => fixed
2015-02-03 08:58 administrator Fixed in Version => 5.5.x
2015-02-03 08:58 administrator Target Version => 5.5.x
2015-02-03 08:59 administrator Note Edited: 0000936 View Revisions
2016-09-21 09:18 administrator Fixed in Version 5.5.x => 5.5.rc2